Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.relational
Class Tuple

    java.lang.Object
      unity.relational.Tuple

Direct Known Subclasses:
  TupleTS, TupleXJoin

    public class Tuple

extends java.lang.Object

Constructor Summary
`Tuple()`
`Tuple(java.lang.Object[] vals, Relation r)`
`Tuple(Relation r)`
`Tuple(Tuple t)`
`Tuple(Tuple t1, Tuple t2, Relation r)`

Method Summary
`void` | `addField(java.lang.Object val)`
`java.lang.Object[]` | `filterValues(int[] idx)`
`int` | `getInt(int i)`
`java.lang.Object` | `getObject(int i)`
`Relation` | `getRelation()`
`java.lang.String` | `getString(int i)`
`java.lang.Object[]` | `getValues()`
`java.lang.Object[]` | `getValuesCopy()`
`boolean` | `isNull(int i)`
`int` | `numValues()`
`boolean` | `read(java.io.BufferedInputStream in)`
`boolean` | `read(java.io.RandomAccessFile in)`
`boolean` | `readText(java.io.BufferedReader in)`
`void` | `setValue(int i, java.lang.Object o)`
`void` | `setValues(java.lang.Object[] vals)`
`java.lang.String` | `toString()`
`void` | `write(java.io.BufferedOutputStream out)`
`void` | `write(java.io.RandomAccessFile out)`
`void` | `writeText(java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tuple

    public Tuple(Relation r)

### Tuple

    public Tuple()

### Tuple

    public Tuple(java.lang.Object[] vals,
                 Relation r)

### Tuple

    public Tuple(Tuple t)

### Tuple

    public Tuple(Tuple t1,
                 Tuple t2,
                 Relation r)

Method Detail

### filterValues

    public java.lang.Object[] filterValues(int[] idx)

### addField

    public void addField(java.lang.Object val)

### getValues

    public java.lang.Object[] getValues()

### setValues

    public void setValues(java.lang.Object[] vals)

### numValues

    public int numValues()

### setValue

    public void setValue(int i,
                         java.lang.Object o)

### getRelation

    public Relation getRelation()

### getString

    public java.lang.String getString(int i)

### getObject

    public java.lang.Object getObject(int i)

### isNull

    public boolean isNull(int i)

### getInt

    public int getInt(int i)

### getValuesCopy

    public java.lang.Object[] getValuesCopy()

### readText

    public boolean readText(java.io.BufferedReader in)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public void writeText(java.io.PrintWriter out)

### read

    public boolean read(java.io.BufferedInputStream in)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public boolean read(java.io.RandomAccessFile in)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.BufferedOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.io.RandomAccessFile out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD